Subject: Re: [PATCH] Fix a couple of typos in the v2.39.0 release notes

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Dec 2022 11:02:04 +0900

"Johannes Schindelin via GitGitGadget" <[email-masked]>
writes:

> From: Johannes Schindelin <[email-masked]>
>
> Signed-off-by: Johannes Schindelin <[email-masked]>
> ---
>     Fix a couple of typos in the v2.39.0 release notes
>     
>     I cheated: I used VS Code's "Code Spell Checker" ;-)

Cheating is good.  Automation is good.  Thanks.

> diff --git a/Documentation/RelNotes/2.39.0.txt b/Documentation/RelNotes/2.39.0.txt
> index 3b8b0c010f9..1eb16534776 100644
> --- a/Documentation/RelNotes/2.39.0.txt
> +++ b/Documentation/RelNotes/2.39.0.txt
> @@ -194,7 +194,7 @@ Fixes since v2.38
>   * Force C locale while running tests around httpd to make sure we can
>     find expected error messages in the log.
>  
> - * Fix a logic in "mailinfo -b" that miscomputed the length of a
> + * Fix a logic in "mailinfo -b" that mis-computed the length of a

I'd scatch this, as we'd rather keep a spelling that we can even
find at https://m-w.com/dictionary/miscompute without the dash in
between.

> @@ -214,7 +214,7 @@ Fixes since v2.38
>   * Clarify that "the sentence after <area>: prefix does not begin with
>     a capital letter" rule applies only to the commit title.
>  
> - * "git branch --edit-description" on an unborh branch misleadingly
> + * "git branch --edit-description" on an unborn branch misleadingly

Thanks.  'h' and 'n' not just sit next to each other on my keyboard,
they look somewhat similar ;-)

> @@ -264,7 +264,7 @@ Fixes since v2.38
>  
>   * "git diff --stat" etc. were invented back when everything was ASCII
>     and strlen() was a way to measure the display width of a string;
> -   adjust them to compute the display width assuming UTF-8 pathnames.
> +   adjust them to compute the display width assuming UTF-8 path names.
>     (merge ce8529b2bb tb/diffstat-with-utf8-strwidth later to maint).

I dunno.  Even without trying to get accurate counts, we can see the
general trend of which one we prefer:

 $ git grep -e 'pathname' Documentation ':!Documentation/RelNotes' | wc -l
 124
 $ git grep -e 'path name' Documentation ':!Documentation/RelNotes' | wc -l
 28
	
In the above, RelNotes/ subhierarchy is excluded to avoid counting _my_
preference too much.

I didn't manage to find any authoritative reference, but the snippets
given on a query

https://letmegooglethat.com/?q=%22pathname%22%20vs%20%22path%20name%22

were fun.  I even saw some claims that "pathnames are sometimes
spelled as path names", which is pretty much in line with what I saw
in these snippets.

>   * "git branch --edit-description" can exit with status -1 which is
> @@ -289,7 +289,7 @@ Fixes since v2.38
>     option now implies --reapply-cherry-picks and --no-fork-point
>     options.
>  
> - * The way "git repack" creared temporary files when it received a
> + * The way "git repack" created temporary files when it received a

Thanks.  That's another good one.